package dev.nvbahool.mapkit_polygon_bug_example

import android.graphics.Color
import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import com.yandex.mapkit.Animation
import com.yandex.mapkit.MapKitFactory
import com.yandex.mapkit.geometry.LinearRing
import com.yandex.mapkit.geometry.Point
import com.yandex.mapkit.geometry.Polygon
import com.yandex.mapkit.map.CameraPosition
import com.yandex.mapkit.mapview.MapView

class MainActivity : AppCompatActivity() {

    lateinit var mapView: MapView

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        MapKitFactory.initialize(this)
        setContentView(R.layout.activity_main)
        mapView = findViewById(R.id.mapView)
        mapView.getMap().move(
            CameraPosition(
                Point(65.5, 179.9), 7.0F, 0.0F, 0.0F
            ),
            Animation(Animation.Type.SMOOTH, 0F),
            null
        )
        mapView.map.mapObjects.clear()
        val points = listOf(
            Point(65.0, 179.0),
            Point(66.0, 179.0),
            Point(66.0, -179.0),
            Point(65.0, -179.0),
        )
        val mapObject = mapView.map.mapObjects.addPolygon(Polygon(LinearRing(points), emptyList()))
        mapObject.strokeColor = Color.GREEN
        mapObject.fillColor = Color.parseColor("#2200FF00")
    }

    override fun onStop() {
        mapView.onStop()
        MapKitFactory.getInstance().onStop()
        super.onStop()
    }

    override fun onStart() {
        super.onStart()
        MapKitFactory.getInstance().onStart()
        mapView.onStart()
    }


}